%define name gnome-ppp
%define version 0.3.21
%define release 1mdk
%define section Internet/Remote Access

Summary: Gnome 2 front-end to wvdial
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.gnome-ppp.org/download/0.3/%{name}-%{version}.tar.bz2
Source1: gnome-ppp.png
Source2: gnome-ppp-16.png
Source3: gnome-ppp-32.png
URL: http://www.gnome-ppp.org/
License: GPL
Group: System/Configuration/Networking
Requires: wvdial >= 1.54
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires:	perl-XML-Parser
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Gnome 2 front-end to wvDial, a modem/ISDN dial-up software.
%prep
%setup -q 

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
#mkdir %{buildroot}/%{_datadir}/pixmaps && \
cp -r %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/ %{buildroot}/%{_datadir}/pixmaps/
#mv %{buildroot}/%{_datadir}/doc/%{name}-%{version} %{buildroot}/%{_datadir}/doc/%{name}
rm -rf %{buildroot}/%{_datadir}/doc/%{name}

%find_lang %{name} --with-gnome

# menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/gnome-ppp" \
title="Gnome PPP" \
longtitle="GNOME 2 frontend for wvdial" \
needs="x11" \
icon="%{name}.png" \
section="%section" \
startup_notify="yes"
EOF

# icon
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
#install -m 644 src/pixmaps/%name.png %buildroot/%_datadir/pixmaps/%name.png
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)

%doc ChangeLog COPYING INSTALL

%{_bindir}/gnome-ppp
%{_datadir}/applications/gnome-ppp.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/glade/*
%{_datadir}/pixmaps/%name.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
#%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/%name/gnome_ppp*.png
%{_menudir}/%{name}
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png

%changelog
* Thu Feb 17 2005 Jerome Soyer <saispo@mandrake.org> 0.3.21-1mdk
- 0.3.21

* Thu Feb 10 2005 Jerome Soyer <saispo@mandrake.org> 0.3.20-1mdk
- 0.3.20

* Fri Feb 04 2005 Jerome Soyer <saispo@mandrake.org> 0.3.19-1mdk
- 0.3.19

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.16-3mdk 
- rebuild with latest howl

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.3.16-2mdk
- Fix BuildRequires

* Thu Sep 23 2004 Jerome Soyer <saispo@mandrake.org> 0.3.16-1mdk
- 0.3.16
- Fix Menu

* Sat Aug 14 2004 Jerome Soyer <saispo@mandrake.org> 0.3.15-1mdk
- 0.3.15

* Tue Aug 10 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 0.3.14-2mdk
- fix icon/section/group

* Mon Aug 09 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 0.3.14-1mdk
- new version

* Fri Jun 4 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.2.1-2mdk
- Icons relocated to %{_datadir}/pixmaps.
- Improved description as deaddog suggested.

* Thu Jun 3 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.2.1-1mdk
  First rpm for mandrake
